Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# JARInputSource Class Reference
[IO core interfaces]

Inheritance diagram for JARInputSource:

## Detailed Description

Reads data from JAR(ZIP) archive.

## Public Methods

| JARInputSource (const String *basePath, InputSource *base)
| Creates input source from JAR (ZIP) archive.
const String * | getLocation () const
const byte * | openStream ()
void | closeStream ()
int | length () const

## Protected Methods

SharedInputSource * | getShared () const
const String * | getInJarLocation () const
InputSource * | createRelative (const String *relPath)
| JARInputSource (const String *basePath, JARInputSource *base, bool faked)

## Constructor & Destructor Documentation

JARInputSource::JARInputSource | ( | const String * | basePath,
|  | InputSource * | base
| ) |

Creates input source from JAR (ZIP) archive.

Parameters:

  basePath | Path to file in archive in form `jar:<anyURI>!/path/to/file` `anyURI` can be any valid URI, relative or absolute.
  base | source, used to resolving relative URIs

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.